package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF6C8 extends MwfRequest<MWF6C8, MWF6C8Response> {

    @Parameter(name = "AddressCity")
    MWF6C8 addressCity(String addressCity);
    @Parameter(name = "AddressContCity")
    MWF6C8 addressContCity(String addressContCity);
    @Parameter(name = "AddressContCountry")
    MWF6C8 addressContCountry(String addressContCountry);
    @Parameter(name = "AddressContHouseNumber")
    MWF6C8 addressContHouseNumber(String addressContHouseNumber);
    @Parameter(name = "AddressContLandRegistryNumber")
    MWF6C8 addressContLandRegistryNumber(String addressContLandRegistryNumber);
    @Parameter(name = "AddressContSince")
    MWF6C8 addressContSince(java.util.Date addressContSince);
    @Parameter(name = "AddressContStreet")
    MWF6C8 addressContStreet(String addressContStreet);
    @Parameter(name = "AddressContZipCode")
    MWF6C8 addressContZipCode(String addressContZipCode);
    @Parameter(name = "AddressCountry")
    MWF6C8 addressCountry(String addressCountry);
    @Parameter(name = "AddressEmpCity")
    MWF6C8 addressEmpCity(String addressEmpCity);
    @Parameter(name = "AddressEmpCountry")
    MWF6C8 addressEmpCountry(String addressEmpCountry);
    @Parameter(name = "AddressEmpHouseNumber")
    MWF6C8 addressEmpHouseNumber(String addressEmpHouseNumber);
    @Parameter(name = "AddressEmpLandRegistryNumber")
    MWF6C8 addressEmpLandRegistryNumber(String addressEmpLandRegistryNumber);
    @Parameter(name = "AddressEmpStreet")
    MWF6C8 addressEmpStreet(String addressEmpStreet);
    @Parameter(name = "AddressEmpZipCode")
    MWF6C8 addressEmpZipCode(String addressEmpZipCode);
    @Parameter(name = "AddressHouseNumber")
    MWF6C8 addressHouseNumber(String addressHouseNumber);
    @Parameter(name = "AddressLandRegistryNumber")
    MWF6C8 addressLandRegistryNumber(String addressLandRegistryNumber);
    @Parameter(name = "AddressStreet")
    MWF6C8 addressStreet(String addressStreet);
    @Parameter(name = "AddressZipCode")
    MWF6C8 addressZipCode(String addressZipCode);
    @Parameter(name = "BirthCountry")
    MWF6C8 birthCountry(String birthCountry);
    @Parameter(name = "BirthDate")
    MWF6C8 birthDate(java.util.Date birthDate);
    @Parameter(name = "BirthNumber")
    MWF6C8 birthNumber(String birthNumber);
    @Parameter(name = "BirthPlace")
    MWF6C8 birthPlace(String birthPlace);
    @Parameter(name = "BranchId")
    MWF6C8 branchId(String branchId);
    @Parameter(name = "BrokerId")
    MWF6C8 brokerId(String brokerId);
    @Parameter(name = "CIF")
    MWF6C8 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF6C8 channelId(String channelId);
    @Parameter(name = "Consent101SignDate")
    MWF6C8 consent101SignDate(java.util.Date consent101SignDate);
    @Parameter(name = "ConsentUDCflag")
    MWF6C8 consentUDCflag(Long consentUDCflag);
    @Parameter(name = "DependPersonsCount")
    MWF6C8 dependPersonsCount(Long dependPersonsCount);
    @Parameter(name = "EducationType")
    MWF6C8 educationType(String educationType);
    @Parameter(name = "Email")
    MWF6C8 email(String email);
    @Parameter(name = "EmployeeName")
    MWF6C8 employeeName(String employeeName);
    @Parameter(name = "EmployeeProcessRole")
    MWF6C8 employeeProcessRole(String employeeProcessRole);
    @Parameter(name = "EmployeeRoleId")
    MWF6C8 employeeRoleId(String employeeRoleId);
    @Parameter(name = "EmployeeSSO")
    MWF6C8 employeeSSO(String employeeSSO);
    @Parameter(name = "EmployeeSurname")
    MWF6C8 employeeSurname(String employeeSurname);
    @Parameter(name = "EmploymentId")
    MWF6C8 employmentId(String employmentId);
    @Parameter(name = "EmploymentName")
    MWF6C8 employmentName(String employmentName);
    @Parameter(name = "EmploymentNotice")
    MWF6C8 employmentNotice(Long employmentNotice);
    @Parameter(name = "EmploymentSince")
    MWF6C8 employmentSince(java.util.Date employmentSince);
    @Parameter(name = "EmploymentTerminationNotice")
    MWF6C8 employmentTerminationNotice(Long employmentTerminationNotice);
    @Parameter(name = "EmploymentTrial")
    MWF6C8 employmentTrial(Long employmentTrial);
    @Parameter(name = "EmploymentType")
    MWF6C8 employmentType(String employmentType);
    @Parameter(name = "EmploymentUntil")
    MWF6C8 employmentUntil(java.util.Date employmentUntil);
    @Parameter(name = "ExpressOnly")
    MWF6C8 expressOnly(String expressOnly);
    @Parameter(name = "FamilyBusinessFlag")
    MWF6C8 familyBusinessFlag(Long familyBusinessFlag);
    @Parameter(name = "HousingType")
    MWF6C8 housingType(String housingType);
    @Parameter(name = "IDCard2Number")
    MWF6C8 iDCard2Number(String iDCard2Number);
    @Parameter(name = "IDCard2PublishingCountry")
    MWF6C8 iDCard2PublishingCountry(String iDCard2PublishingCountry);
    @Parameter(name = "IDCard2Type")
    MWF6C8 iDCard2Type(String iDCard2Type);
    @Parameter(name = "IDCard2ValidTo")
    MWF6C8 iDCard2ValidTo(java.util.Date iDCard2ValidTo);
    @Parameter(name = "IDCardNumber")
    MWF6C8 iDCardNumber(String iDCardNumber);
    @Parameter(name = "IDCardPublishingCountry")
    MWF6C8 iDCardPublishingCountry(String iDCardPublishingCountry);
    @Parameter(name = "IDCardType")
    MWF6C8 iDCardType(String iDCardType);
    @Parameter(name = "IDCardValidTo")
    MWF6C8 iDCardValidTo(java.util.Date iDCardValidTo);
    @Parameter(name = "IncomeAverageThreeMonths")
    MWF6C8 incomeAverageThreeMonths(Double incomeAverageThreeMonths);
    @Parameter(name = "IncomeDocumentType")
    MWF6C8 incomeDocumentType(String incomeDocumentType);
    @Parameter(name = "IncomeDocumentType2")
    MWF6C8 incomeDocumentType2(String incomeDocumentType2);
    @Parameter(name = "IncomeDocumentType3")
    MWF6C8 incomeDocumentType3(String incomeDocumentType3);
    @Parameter(name = "IncomeFamily")
    MWF6C8 incomeFamily(Double incomeFamily);
    @Parameter(name = "IncomesCount")
    MWF6C8 incomesCount(Long incomesCount);
    @Parameter(name = "LoanAmount")
    MWF6C8 loanAmount(Double loanAmount);
    @Parameter(name = "LoanDefferedInstalmentMonths")
    MWF6C8 loanDefferedInstalmentMonths(Long loanDefferedInstalmentMonths);
    @Parameter(name = "LoanInstalmentAmount")
    MWF6C8 loanInstalmentAmount(Double loanInstalmentAmount);
    @Parameter(name = "LoanInsuranceType")
    MWF6C8 loanInsuranceType(String loanInsuranceType);
    @Parameter(name = "LoanRegularInstalmentDay")
    MWF6C8 loanRegularInstalmentDay(Long loanRegularInstalmentDay);
    @Parameter(name = "LoanTerm")
    MWF6C8 loanTerm(Long loanTerm);
    @Parameter(name = "MaritalAssets")
    MWF6C8 maritalAssets(String maritalAssets);
    @Parameter(name = "MaritalState")
    MWF6C8 maritalState(String maritalState);
    @Parameter(name = "MaritalStateVerification")
    MWF6C8 maritalStateVerification(String maritalStateVerification);
    @Parameter(name = "Name")
    MWF6C8 name(String name);
    @Parameter(name = "Nationality")
    MWF6C8 nationality(String nationality);
    @Parameter(name = "Occupation")
    MWF6C8 occupation(String occupation);
    @Parameter(name = "OtherLivingExpenses")
    MWF6C8 otherLivingExpenses(Long otherLivingExpenses);
    @Parameter(name = "OtherMonthlyPayments")
    MWF6C8 otherMonthlyPayments(Long otherMonthlyPayments);
    @Parameter(name = "PhoneNumber")
    MWF6C8 phoneNumber(String phoneNumber);
    @Parameter(name = "Sex")
    MWF6C8 sex(String sex);
    @Parameter(name = "ShareOfPrftFamilyBus")
    MWF6C8 shareOfPrftFamilyBus(Double shareOfPrftFamilyBus);
    @Parameter(name = "SpecialCode")
    MWF6C8 specialCode(String specialCode);
    @Parameter(name = "SpecialCodeReasonId")
    MWF6C8 specialCodeReasonId(String specialCodeReasonId);
    @Parameter(name = "SpecialCodeReasonNote")
    MWF6C8 specialCodeReasonNote(String specialCodeReasonNote);
    @Parameter(name = "Surname")
    MWF6C8 surname(String surname);
    @Parameter(name = "TaxBase")
    MWF6C8 taxBase(Double taxBase);
    @Parameter(name = "TaxCrOnlyFlag")
    MWF6C8 taxCrOnlyFlag(Long taxCrOnlyFlag);
    @Parameter(name = "TaxToPayLastYear")
    MWF6C8 taxToPayLastYear(Double taxToPayLastYear);
    @Parameter(name = "TaxYear")
    MWF6C8 taxYear(Long taxYear);
    @Parameter(name = "TaxableIncomeLastYear")
    MWF6C8 taxableIncomeLastYear(Double taxableIncomeLastYear);
}
